<?php
###########################################
###       Сообщества для соц. сети      ###
###       Автор: Неизвестен             ###
###    Доделка и переделка: WapStyle    ###
###          НЕ ДЛЯ ПРОДАЖИ             ###
### НЕ ДЛЯ БЕСПЛАТНОГО РАСПРОСТРАНЕНИЯ  ###
###########################################

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if(isset($_GET['id_razd'])){
	$id_razd = intval($_GET['id_razd']);
	}else{
		header("Location: /index.php");
		}

$set['title'] = 'Создать сообщество &amp; '.$_SERVER['HTTP_HOST'];
include_once '../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

$comm = mysql_fetch_array(mysql_query('SELECT * FROM `community_comm` WHERE `id_author` = '.$user['id'].' LIMIT 1'));
$comm_razd = mysql_fetch_array(mysql_query('SELECT * FROM `community_razd` WHERE `id` = '.$id_razd.' LIMIT 1'));

if(!isset($user)){
	echo '<div class="err">Доступ закрыт.</div>';
	}else if($id_razd==0 || $id_razd<0){
		echo '<div class="err">Иди нахуй! Хакер недоношеный!</div>';
		}else if($user['id']==$comm['id_author']){
			echo '<div class="err">У Вас уже есть сообщество.</div>';
			}else if($id_razd!=$comm_razd['id']){
				echo '<div class="err">Раздел не найден.</div>';
				}else if($user['balls']<100){
					echo '<div class="err">Для создания сообщества Вам нужно набрать как минимум <b>100</b> баллов.</div>';
					}else{

if(isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['about']) && $_POST['about']!=NULL && isset($_POST['slogan']) && isset($_POST['status']) && is_numeric($_POST['status']) && $_POST['status']!=NULL){
	$name = esc(trim(stripcslashes(htmlspecialchars($_POST['name']))));
	$about = esc(trim(stripcslashes(htmlspecialchars($_POST['about']))));
	$slogan = esc(trim(stripcslashes(htmlspecialchars($_POST['slogan']))));
	$status = intval($_POST['status']);

if(strlen2($name)<5 && strlen2($name)>32){
	header("Location: create_comm.php?id_razd=$id_razd&err=name");
	exit;
	}

if(strlen2($about)<10 && strlen2($about)>100){
	header("Location: create_comm.php?id_razd=$id_razd&err=about");
	exit;
	}

if(strlen2($slogan)<5 && strlen2($slogan)>50){
	header("Location: create_comm.php?id_razd=$id_razd&err=slogan");
	exit;
	}

if($status!=1 && $status!=2){
	header("Location: create_comm.php?id_razd=$id_razd&err=status");
	exit;
	}

mysql_query("INSERT INTO `community_comm` (`id_author`, `id_razd`, `name`, `about`, `time_create`, `time_last_edit`, `slogan`, `status`) VALUES ('$user[id]', '$id_razd', '$name', '$about', '$time', '$time', '$slogan', '$status')");
$cid = mysql_insert_id();
mysql_query("INSERT INTO `community_user_incomm` (`uid`, `cid`, `time`, `priv`, `activate`) VALUES ('$user[id]', '$cid', '$time', '2', '1')");
msg('Сообщество успешно создано');
echo '&#187;&nbsp;<a href="comm.php?id='.$cid.'">В сообщество</a><br/>';
echo '</div>';
include_once '../sys/inc/tfoot.php';
exit;
}


if($_GET['err']=='name'){
	echo '<div class="err">Название должно быть от 5 до 32 символов.</div>';
	}else if($_GET['err']=='about'){
		echo '<div class="err">Описание должно быть от 10 до 100 символов.</div>';
		}else if($_GET['err']=='slogan'){
			echo '<div class="err">Слоган должен быть от 5 до 50 символов.</div>';
			}else if($_GET['err']=='status'){
				echo '<div class="err">Ошибка при выборе статуса.</div>';
				}

echo '<form method="post" action="create_comm.php?id_razd='.$id_razd.'">';
echo '*Название сообщества:<br/><input type="text" name="name"/><br/>';
echo '*Краткое описание:<br/><textarea name="about"></textarea><br/>';
echo 'Слоган:<br/><input type="text" name="slogan"/><br/>';
echo '*Статус сообщества:<br/>';
echo '<select name="status">';
echo '<option value="1">Открытое для чтения</option>';
echo '<option value="2">Закрытое для чтения</option>';
echo '</select><br/>';
echo '<input value="Создать" type="submit"/></form>';
echo '&#187;&nbsp;<a href="index.php">К разделам</a><br/>';
}

echo '</div>';
include_once '../sys/inc/tfoot.php';
?>